
From: Ralf Baechle <ralf@linux-mips.org>



---

 25-akpm/drivers/video/fbmem.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/video/fbmem.c~mips-fix-mips-26-fb-setup drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~mips-fix-mips-26-fb-setup	Thu Apr 29 15:45:47 2004
+++ 25-akpm/drivers/video/fbmem.c	Thu Apr 29 15:45:47 2004
@@ -1178,8 +1178,7 @@ fb_mmap(struct file *file, struct vm_are
 	if (boot_cpu_data.x86 > 3)
 		pgprot_val(vma->vm_page_prot) |= _PAGE_PCD;
 #elif defined(__mips__)
-	pgprot_val(vma->vm_page_prot) &= ~_CACHE_MASK;
-	pgprot_val(vma->vm_page_prot) |= _CACHE_UNCACHED;
+	vma->vm_page_prot = pgprot_noncached(vma->vm_page_prot);
 #elif defined(__hppa__)
 	pgprot_val(vma->vm_page_prot) |= _PAGE_NO_CACHE;
 #elif defined(__ia64__) || defined(__arm__) || defined(__sh__)

_
